## pdfedit 0.4.5

=== debian/changelog ===
pdfedit (0.4.5-1) unstable; urgency=low

  * New upstream release
  * Switch to source format 3.0
  * Add gui-enable-read-only_files.patch, fixes issues with opening
    read-only files (Closes: #579707)
  * Add pdfedit.menu (Closes: #548692)

 -- Varun Hiremath <varun@debian.org>  Thu, 03 Jun 2010 02:35:09 -0400

pdfedit (0.4.3-1) unstable; urgency=low

  * New upstream release (Closes: #538801)
  * Fix license, pdfedit is GPL-2 only (Closes: #537560)
  * Remove Torsten Werner from Uploaders
  * Bump Standards-Version to 3.8.2
  * Remove all patches merged upstream

 -- Varun Hiremath <varun@debian.org>  Mon, 27 Jul 2009 20:02:45 -0400

pdfedit (0.4.2-4) unstable; urgency=low

  * Add patches provided by upstream:
    - fix-ccpagecontets-lazy-ccs_parse.patch
    - deep_copy_for_saving.patch
    - fix-ZlibFilterStreamWriter-supportObject.patch
    - crop_box-sync_with_media_box.patch
  * These patches fix issues with "Edit page metrics", thanks to Eric Doviak
    <eric@doviak.net> and Michal Hocko (Closes: #517582, #517581, #517580)

 -- Varun Hiremath <varun@debian.org>  Sun, 01 Mar 2009 03:31:45 -0500

pdfedit (0.4.2-3) unstable; urgency=low

  * upload to unstable

 -- Torsten Werner <twerner@debian.org>  Sun, 15 Feb 2009 22:42:51 +0100

pdfedit (0.4.2-2) experimental; urgency=low

  * Add patch for french translation from Didier Raboud.
    (Closes: #510784)

 -- Torsten Werner <twerner@debian.org>  Sun, 04 Jan 2009 22:26:27 +0100

pdfedit (0.4.2-1) experimental; urgency=low

  * New upstream release
  * Bump up Standards-Version: 3.8.0 (no changes).

 -- Torsten Werner <twerner@debian.org>  Thu, 01 Jan 2009 01:43:44 +0100

pdfedit (0.4.1-2) unstable; urgency=low

  * Fix file pdfedit.desktop. (Closes: #488896)

 -- Torsten Werner <twerner@debian.org>  Sun, 20 Jul 2008 22:40:01 +0200

pdfedit (0.4.1-1) unstable; urgency=low

  * New upstream release
  * Update copyright file
  * Remove all patches - merged upstream

 -- Varun Hiremath <varun@debian.org>  Mon, 25 Feb 2008 11:25:28 +0530

pdfedit (0.3.2-5) unstable; urgency=low

  * Add patches/headers.diff to fix FTBFS with GCC 4.3 (Closes: #455294)
  * Update debian/copyright
  * Bumped up Standards-Version to 3.7.3; no changes needed.

 -- Varun Hiremath <varun@debian.org>  Tue, 11 Dec 2007 11:55:09 +0530

pdfedit (0.3.2-4) unstable; urgency=low

  * Add upstream patch collect_revision-fix.diff which fixes segfaults
    while opening pdfs previously edited by pdfedit (Closes: 450627)

 -- Varun Hiremath <varunhiremath@gmail.com>  Wed, 21 Nov 2007 03:31:43 +0530

pdfedit (0.3.2-3) unstable; urgency=low

  * Add some patches and modify debian/rules to enable noopt and debug
    debian build options (Closes: #450635)
  * debian/control: Add Homepage header and replace XS-Vcs with Vcs.

 -- Varun Hiremath <varunhiremath@gmail.com>  Mon, 12 Nov 2007 12:11:06 +0530

pdfedit (0.3.2-2) unstable; urgency=low

  * debian/control: add xsltproc, doxygen to Build-Depends (Closes: #441724)
  * debian/patches: add no_pdf.diff to stop building pdfs.

 -- Varun Hiremath <varunhiremath@gmail.com>  Tue, 11 Sep 2007 18:40:16 +0530

pdfedit (0.3.2-1) unstable; urgency=low

  [ Varun Hiremath ]
  * New upstream release
  * debian/control: Add XS-Vcs-{Svn,Browser} headers.
  * debian/rules: implement get-orig-source

  [ Torsten Werner ]
  * Change pdfedit.desktop to conform to the Desktop Menu Specification.

 -- Torsten Werner <twerner@debian.org>  Fri, 07 Sep 2007 21:14:15 +0200

pdfedit (0.3.1-1) unstable; urgency=low

  * New upstream release
  * Remove all patches merged upstream
  * Add upstream documentation to debian/docs

 -- Varun Hiremath <varunhiremath@gmail.com>  Sat, 05 May 2007 20:58:30 +0530

pdfedit (0.3.0-2) unstable; urgency=low

  [ Torsten Werner ]
  * Add Build-Depends: libpaper-dev.
  * Add patch for g++-4.3. (Closes: #417471)

  [ Varun Hiremath ]
  * Add patch to fix FTBFS with GCC 4.3: error: extra ';' (Closes: #420994). 
    Thanks to Martin Michlmayr.

 -- Varun Hiremath <varunhiremath@gmail.com>  Thu, 26 Apr 2007 18:15:27 +0530

pdfedit (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Remove patches/clean_files.diff, merged upstream
  * debian/control: remove quilt from Build-Depends, no patches being used.

 -- Varun Hiremath <varunhiremath@gmail.com>  Sun, 15 Apr 2007 13:47:28 +0530

pdfedit (0.2.5-2) unstable; urgency=low

  * debian/copyright: Include the correct BSD license text (Closes: #412761)

 -- Varun Hiremath <varunhiremath@gmail.com>  Tue, 20 Feb 2007 22:20:29 +0530

pdfedit (0.2.5-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varunhiremath@gmail.com>  Tue, 20 Feb 2007 15:06:55 +0530

pdfedit (0.2.3-1) unstable; urgency=low

  * Initial release (Closes: #398838)

 -- Varun Hiremath <varunhiremath@gmail.com>  Thu, 11 Jan 2007 10:48:59 +0530
