=== debian/control ===
Source: pdfedit
Section: utils
Priority: optional
Maintainer: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs, debhelper (>= 5), libboost-iostreams-dev,
 qt3-dev-tools, libqt3-mt-dev, libpaper-dev, xsltproc, doxygen
Standards-Version: 3.8.2
Homepage: http://pdfedit.petricek.net/
Vcs-Svn: https://bollin.googlecode.com/svn/pdfedit/
Vcs-Browser: http://code.google.com/p/bollin/source/browse/pdfedit/

Package: pdfedit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Editor for manipulating PDF documents
 Complete editing of pdf documents is made possible with PDFedit. You
 can change either raw pdf objects (for advanced users) or use
 predefined gui functions. Functions can be easily added as everything
 is based on a scripts.
 .
 Scripting is used to a great extent in editor and almost anything can
 be scripted, it is possible to create own scripts or plugins.
