=== debian/rules ===
#!/usr/bin/make -f

export QTDIR=/usr/share/qt3

export CXXFLAGS=-g -Wall
export CFLAGS=-g -Wall

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS := --disable-release --with-root-dir=$(DEB_DESTDIR)

install/pdfedit::
	$(RM) $(DEB_DESTDIR)/usr/share/doc/pdfedit/README.cygwin
	$(RM) $(DEB_DESTDIR)/usr/share/doc/pdfedit/LICENSE.GPL
	$(RM) $(DEB_DESTDIR)/usr/share/doc/pdfedit/Changelog
	chmod 644 $(DEB_DESTDIR)/usr/share/pdfedit/icon/hicolor/*
	chmod 644 $(DEB_DESTDIR)/usr/share/pdfedit/icon/Tango/*
	dh_install debian/pdfedit.desktop /usr/share/applications/

get-orig-source:
	-uscan --upstream-version 0 --rename
