=== debian/watch ===
version=3
http://sf.net/pdfedit/ pdfedit-(.*)\.tar\.gz debian debian/orig-tar.sh
